Subject: Re: bug#55811: 29.0.50; No flymake diagnostics for no-byte-compile files

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 06 Jun 2022 14:40:29 +0200

Stefan Monnier <[email-masked]> writes:

> So, I think `byte-compile-file` should not silently override the
> `no-byte-compile`.  It could prompt to choose between "really compile"
> and "compile but don't generate the .elc file".

Yup.  Or perhaps just issue a message that it's not doing anything --
this is a pretty obscure situation, after all.

By the way, do we have a convenient command for "compile but don't
generate the .elc file" somewhere?  (I feel like I've asked this before,
but I've suppressed the memory of the answer.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no